Page MenuHomePhabricator

While publishing, 'parsererror' is returned, even if publishing succeeds, tags are missing for such articles
Closed, ResolvedPublic1 Story Points

Description

Our eventlogging database reported about 100 instances of {"xhr":{"readyState":4,"responseText":"","status":200,"statusText":"OK"},"textStatus":"parsererror","exception":{}}
errors since August 6. The corresponding articles are published. But they miss the contenttranslation tags.

Possibly related T108551

Related Objects

Event Timeline

santhosh created this task.Aug 10 2015, 7:08 AM
santhosh updated the task description. (Show Details)
santhosh raised the priority of this task from to High.
santhosh added a project: ContentTranslation.
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2015, 7:08 AM
santhosh set Security to None.Aug 10 2015, 7:13 AM
santhosh added a subscriber: aaron.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Aug 11 2015, 12:13 PM

This is still unresolved. I saw 40 instances of this item in our logs for August 11th. Aaron suggested to look at logstash for any possible exceptions. I could not find any so far

Arrbee assigned this task to santhosh.Aug 12 2015, 7:05 AM
Arrbee edited a custom field.Aug 12 2015, 7:19 AM
Nikerabbit renamed this task from While publishing, 'parseerror' is returned, even if publishing succeeds, tags are missing for such articles to While publishing, 'parsererror' is returned, even if publishing succeeds, tags are missing for such articles.Aug 19 2015, 12:45 PM
Nikerabbit added a subscriber: Nikerabbit.

There seems to be a clear correlation:

1| ru.wikipedia.org | 20150819114959 | {"xhr":{"readyState":4,"responseText":"","status":200,"statusText":"OK"},"textStatus":"parsererror","exception":{}}
22015-08-19T11:49:58.000Z hhvm NOTICE mw1147 Notice: DB transaction callbacks still pending (fr...
32015-08-19T11:49:58.000Z hhvm NOTICE mw1147 Notice: Uncommitted DB writes (transaction from Da...
42015-08-19T11:49:58.000Z hhvm ERROR mw1147 Catchable fatal error: Argument 1 passed to FlowHo...
5
6| ru.wikipedia.org | 20150819114928 | {"xhr":{"readyState":4,"responseText":"","status":200,"statusText":"OK"},"textStatus":"parsererror","exception":{}}
72015-08-19T11:49:28.000Z hhvm NOTICE mw1138 Notice: Uncommitted DB writes (transaction from Da...
82015-08-19T11:49:28.000Z hhvm NOTICE mw1138 Notice: JobQueueGroup::__destruct: 2 buffered job(...
92015-08-19T11:49:28.000Z hhvm ERROR mw1138 Catchable fatal error: Argument 1 passed to FlowHo...
102015-08-19T11:49:28.000Z hhvm NOTICE mw1138 Notice: DB transaction callbacks still pending (fr...
11
12| ru.wikipedia.org | 20150819114808 | {"xhr":{"readyState":4,"responseText":"","status":200,"statusText":"OK"},"textStatus":"parsererror","exception":{}}
132015-08-19T11:48:07.000Z hhvm NOTICE mw1122 Notice: JobQueueGroup::__destruct: 2 buffered job(...
142015-08-19T11:48:07.000Z hhvm NOTICE mw1122 Notice: DB transaction callbacks still pending (fr...
152015-08-19T11:48:07.000Z hhvm NOTICE mw1122 Notice: Uncommitted DB writes (transaction from Da...
162015-08-19T11:48:07.000Z hhvm ERROR mw1122 Catchable fatal error: Argument 1 passed to FlowHo...
17
18| ru.wikipedia.org | 20150819114455 | {"xhr":{"readyState":4,"responseText":"","status":200,"statusText":"OK"},"textStatus":"parsererror","exception":{}}
192015-08-19T11:44:55.000Z hhvm NOTICE mw1204 Notice: JobQueueGroup::__destruct: 2 buffered job(...
202015-08-19T11:44:55.000Z hhvm NOTICE mw1204 Notice: DB transaction callbacks still pending (fr...
212015-08-19T11:44:55.000Z hhvm NOTICE mw1204 Notice: Uncommitted DB writes (transaction from Da...
222015-08-19T11:44:55.000Z hhvm ERROR mw1204 Catchable fatal error: Argument 1 passed to FlowHo...
23
24| ru.wikipedia.org | 20150819114415 | {"xhr":{"readyState":4,"responseText":"","status":200,"statusText":"OK"},"textStatus":"parsererror","exception":{}}
252015-08-19T11:44:14.000Z hhvm NOTICE mw1127 Notice: Uncommitted DB writes (transaction from Da...
262015-08-19T11:44:14.000Z hhvm NOTICE mw1127 Notice: JobQueueGroup::__destruct: 2 buffered job(...
272015-08-19T11:44:14.000Z hhvm NOTICE mw1127 Notice: DB transaction callbacks still pending (fr...
282015-08-19T11:44:14.000Z hhvm ERROR mw1127 Catchable fatal error: Argument 1 passed to FlowHo...

Full error is: Catchable fatal error: Argument 1 passed to FlowHooks::isTalkpageManagerUser() must be an instance of User, null given in /srv/mediawiki/php-1.26wmf18/extensions/Flow/Hooks.php on line 957

I can also confirm that fatal error will cause HTTP 200 response with empty content.

Tested by adding trigger_error("Fatal error", E_USER_ERROR); to the api module.

Change 232486 had a related patch set uploaded (by Santhosh):
Temporarily disable notifications

https://gerrit.wikimedia.org/r/232486

Change 232486 merged by jenkins-bot:
Temporarily disable notifications

https://gerrit.wikimedia.org/r/232486

Change 232504 had a related patch set uploaded (by KartikMistry):
Temporarily disable notifications

https://gerrit.wikimedia.org/r/232504

Change 232505 had a related patch set uploaded (by KartikMistry):
Temporarily disable notifications

https://gerrit.wikimedia.org/r/232505

Change 232505 merged by jenkins-bot:
Temporarily disable notifications

https://gerrit.wikimedia.org/r/232505

Change 232504 merged by jenkins-bot:
Temporarily disable notifications

https://gerrit.wikimedia.org/r/232504

Change 232676 had a related patch set uploaded (by Santhosh):
Revert "Temporarily disable notifications"

https://gerrit.wikimedia.org/r/232676

Change 232687 had a related patch set uploaded (by KartikMistry):
Revert "Temporarily disable notifications"

https://gerrit.wikimedia.org/r/232687

Change 232688 had a related patch set uploaded (by KartikMistry):
Revert "Temporarily disable notifications"

https://gerrit.wikimedia.org/r/232688

Change 232676 merged by jenkins-bot:
Revert "Temporarily disable notifications"

https://gerrit.wikimedia.org/r/232676

Arrbee moved this task from In Progress to In Review on the LE-CX6-Sprint 2 board.Aug 20 2015, 8:01 AM

Change 232687 merged by jenkins-bot:
Revert "Temporarily disable notifications"

https://gerrit.wikimedia.org/r/232687

Change 232688 merged by jenkins-bot:
Revert "Temporarily disable notifications"

https://gerrit.wikimedia.org/r/232688

Arrbee moved this task from In Review to Done on the LE-CX6-Sprint 2 board.Aug 21 2015, 7:05 AM
Arrbee closed this task as Resolved.Aug 25 2015, 6:44 AM
Arrbee added a subscriber: Arrbee.